using System;
using System.Data;
using System.Data.SqlClient;
using System.Web;
using System.IO;
using System.Collections;
using System.Text.RegularExpressions;

namespace UUN
{
    /// <summary>
    /// 编译Club/Login2.aspx文件
    /// </summary>
    public class 编译扩展_Club_Login2 : 编译扩展接口
    {
        private SqlConnection 连接;
        private HttpContext HC;
        private 编译器 编译器;

        public 编译扩展_Club_Login2(SqlConnection 连接, HttpContext HC, 编译器 编译器)
        {
            this.连接 = 连接;
            this.HC = HC;
            this.编译器 = 编译器;
        }

        public string 开始执行代码()
        {
            return @"
		if(!Convert.ToBoolean(Request.QueryString[""En""]))
		{
			String 返回地址=Request.QueryString[""rurl""];
			String 标识=new 用户(this.Context,访问.连接).会员登录(
				Convert.ToInt32(Request.Form[""type""]),
				Request.Form[""user""],
				Request.Form[""password""]);
			Response.Redirect(常用.处理地址(""Login2.aspx?En=true&rurl=""+Server.UrlEncode(返回地址.Replace(""@sid@"",标识)),标识));
		}
		访问.验证会员();
		new 会员活动信息(this.Context,访问.连接).记录(Convert.ToInt32(访问.用户[""ID""]),
			Convert.ToString(访问.用户[""昵称""]),
			""登录社区"",
			程序.安装位置+""Club/YongHu_ChaKan.aspx?ID=""+访问.用户[""ID""]);
";
        }

        public string 编译公共标签(string 代码)
        {
            return "";
        }

        public string 编译模板方法(string 方法名称, string[] 属性数组)
        {
            return "";
        }

        public string 结束执行代码()
        {
            return "";
        }

    }
}